Bug 130198 - segfault building lvm2
segfault building lvm2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 130007
  Show dependency treegraph
 
Reported: 2004-08-17 18:41 EDT by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.15.91.0.2-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-19 07:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-08-17 18:41:24 EDT
ld in binutils-2.15.91.0.2-6 segfaults when building lvm2-2.00.20-2 on
ia64

ia64-redhat-linux-gcc -o lvm archiver.o dumpconfig.o lvchange.o
lvcreate.o lvdisplay.o lvextend.o lvmchange.o lvmcmdline.o
lvmdiskscan.o lvreduce.o lvremove.o lvrename.o lvresize.o lvscan.o
polldaemon.o pvchange.o pvcreate.o pvdisplay.o pvmove.o pvremove.o
pvscan.o reporter.o toollib.o vgcfgbackup.o vgcfgrestore.o vgchange.o
vgck.o vgcreate.o vgconvert.o vgdisplay.o vgexport.o vgextend.o
vgimport.o vgmerge.o vgmknodes.o vgreduce.o vgremove.o vgrename.o
vgscan.o vgsplit.o lvm.o -Wl,--export-dynamic -L../lib
-L/usr/src/build/438914-ia64/install/usr/lib -llvm -ldevmapper
-lreadline -lselinux -lncurses  -rdynamic
ia64-redhat-linux-gcc -o lvm.static archiver.o dumpconfig.o lvchange.o
lvcreate.o lvdisplay.o lvextend.o lvmchange.o lvmcmdline.o
lvmdiskscan.o lvreduce.o lvremove.o lvrename.o lvresize.o lvscan.o
polldaemon.o pvchange.o pvcreate.o pvdisplay.o pvmove.o pvremove.o
pvscan.o reporter.o toollib.o vgcfgbackup.o vgcfgrestore.o vgchange.o
vgck.o vgcreate.o vgconvert.o vgdisplay.o vgexport.o vgextend.o
vgimport.o vgmerge.o vgmknodes.o vgreduce.o vgremove.o vgrename.o
vgscan.o vgsplit.o lvm.o -static -Wl,--export-dynamic -L../lib
-L/usr/src/build/438914-ia64/install/usr/lib -llvm -ldevmapper
-lreadline -lselinux -lncurses  \
        -rdynamic
collect2: ld terminated with signal 11 [Segmentation fault]
Comment 2 Jakub Jelinek 2004-08-19 07:47:50 EDT
Should be fixed in binutils-2.15.91.0.2-8.

Note You need to log in before you can comment on or make changes to this bug.